     OPEN "ORDER1.QUE" FOR RANDOM ACCESS READ WRITE SHARED AS #11 LEN=128
     FIELD#11,128AS QUE11$

     REG=50
50   GET#11,REG                                            ' accesa reg
     IF MID$(QUE11$,9,1)<>"0" THEN                         ' no es reg cobro
        REG=REG+1                                          ' incrementa reg
        IF REG<501 THEN                                    ' es menor de 501
           GOTO 50                                         ' regresa a leer otro reg
        ENDIF
     ENDIF
     FEV$=MID$(QUE11$,10,6)                                ' fecha de venta
     MES=VAL(MID$(FEV$,1,2))                               ' mes en que se cre˘ el order
     DIA=VAL(MID$(FEV$,3,2))                               ' dia en que se cre˘ el order
     FX$=MID$(FEV$,5,2)+MID$(FEV$,1,2)+MID$(FEV$,3,2)
     GOSUB 7900                                            ' valida fecha
     IF K<>0 THEN                                          ' fecha no ok
        MES=VAL(MID$(QUE11$,41,2))                         ' mes en que se cre˘ el order
        DIA=VAL(MID$(QUE11$,43,2))                         ' dia en que se cre˘ el order
        FEV$=MID$(QUE11$,41,6)                             ' fecha en que se cre˘
        FX$=MID$(FEV$,5,2)+MID$(FEV$,1,2)+MID$(FEV$,3,2)
        IF K<>0 THEN
           ' IKE=1:LPRINT CHR$(27);CHR$(33);CHR$(4);
           ' LPRINT ">>> LA FECHA ";FECHA$;" DEL ARCHIVO ORDER1.QUE ES INCORRECTA"
           CLOSE
           END
        ENDIF
     ENDIF
     CLOSE#11
